#! /bin/sh

# This file is part of Contacts daemon
#
# Copyright (c) 2011 Nokia Corporation and/or its subsidiary(-ies).
#
# Contact:  Nokia Corporation (info@qt.nokia.com)
#
# GNU Lesser General Public License Usage
# This file may be used under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation and appearing in the
# file LICENSE.LGPL included in the packaging of this file.  Please review the
# following information to ensure the GNU Lesser General Public License version
# 2.1 requirements will be met:
# http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
#
# In addition, as a special exception, Nokia gives you certain additional rights.
# These rights are described in the Nokia Qt LGPL Exception version 1.1, included
# in the file LGPL_EXCEPTION.txt in this package.
#
# Other Usage
# Alternatively, this file may be used in accordance with the terms and
# conditions contained in a signed written agreement between you and Nokia.

set -e

cleanup ()
{
  kill -INT $contactsd_pid
  tracker-control -r > /dev/null
}
trap cleanup INT HUP TERM

tracker-control -rs > /dev/null

# Start the unit test in background so it register the AM
"$@" &
ut_pid=$!

# Wait for AM to appear on the bus
# FIXME: It is ugly to hardcode such path
/usr/lib/mission-control/mcclient6-wait-for-name "org.freedesktop.Telepathy.AccountManager"

# Start Contacts Daemon in background
export CONTACTSD_PLUGINS_DIRS=/usr/lib/contactsd-1.0/plugins
/usr/bin/contactsd &
contactsd_pid=$!

# wait for unit test to finish
e=0
wait $ut_pid || e=$?

trap - INT HUP TERM
cleanup

exit $e
